package ru.dbotthepony.kstarbound.util

private const val KIBIBYTE = 1024L
private const val MEBIBYTE = KIBIBYTE * 1024L
private const val GIBIBYTE = MEBIBYTE * 1024L
private const val TEBIBYTE = GIBIBYTE * 1024L
private const val PETIBYTE = TEBIBYTE * 1024L

fun formatBytesShort(input: Long): String {
	return when (input) {
		in 0 until KIBIBYTE -> "${input}b"
		in KIBIBYTE until MEBIBYTE -> "%.2fKiB".format((input / KIBIBYTE).toDouble() + (input % KIBIBYTE).toDouble() / KIBIBYTE)
		in MEBIBYTE until GIBIBYTE -> "%.2fMiB".format((input / MEBIBYTE).toDouble() + (input % MEBIBYTE).toDouble() / MEBIBYTE)
		else -> "${input}b"
	}
}
